@mixin button-bg($bg) {
  background: $bg;
  border: none;
  border-radius: 3%;
  color: white;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 0.8em;
  height: 2.7em;
  width: 8.4em;
}

@mixin links($link) {
  color: $link;
}

body {
  margin: 0;
  background-color: $page-color;
}

.header {
  background-image: $header-background;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  height: 34em;
  border-bottom-right-radius: 40%;
}

.header-wrap {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin: 0 9em;
  color: map-get($font, color);
  font-family: map-get($font, family);

  .header_heading {
    font-size: 3.4em;
    margin: 0.7em 0;
    font-weight: 700;
    line-height: 1em;
    max-width: 7em;
    position: relative;
  }

  .header_heading:after {
    content: "awesome";
    background-color: $mark-color;
    position: absolute;
    left: 0;
  }

  .header_text {
    font-size: 0.8em;
    margin: 0 0 4em 0;
    white-space: pre-line;
  }

  a {
    @include links(#ffffff);
    margin: 0 6.8em;
  }
}

.header_button {
  @include button-bg($button-color);
}

.landing-logo {
  display: flex;
  align-items: center;
  font-family: map-get($font, family);

  img {
    height: 2em;
  }

  p {
    display: flex;
    flex-direction: column;
    align-content: center;
    justify-content: center;
    align-items: center;
    padding: 0 0.7em;
  }

  span {
    font-size: 0.5em;
  }
}


.section {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-content: center;
  justify-content: center;
  align-items: center;
  text-align: center;
  color: #ffffff;
  font-family: map-get($font, family);

  .section_text {
    font-size: 2em;
    margin: 0.5em 0 0.5em 0;
    color: $section-text-color;
    position: relative;
  }

  .section_text:after {
    content: "adventure";
    background-color: $mark-color;
    position: absolute;
    left: 5.1em;
  }

  .section_card_wrap {
    display: flex;
    flex-direction: column;

    .section_card {
      background-color: $card-color;
      margin: 0.5em;
      max-width: 50em;
      height: 14em;
      border-radius: 0.3em;
      display: flex;
      flex-direction: row;
      align-items: center;
      padding: 1em;
    }

    .section_card_img {
      height: inherit;
      border-radius: 0.3em;
    }

    .section_card_heading {
      font-weight: 600;
    }

    .section_card_text {
      font-size: 0.8em;
      margin: 1em 4em;
      text-align: justify;
      line-height: 1.7;
      font-family: $hind;
      color: #bfc1ca;
    }

    a {
      @include links(#ffffff);
      font-size: 0.7em;
      margin: 1em 0;
    }
  }

  .section_banner {
    background: linear-gradient(to right, $first-gradient-color, $second-gradient-color);
    width: 56em;
    height: 7em;
    margin: 5em 0 -4em 0;
    font-family: map-get($font, family);
    display: flex;
    flex-direction: row;
    align-content: center;
    justify-content: space-around;
    align-items: center;
    border-radius: 0.3em;
    position: relative;
  }

  .section_banner_text_wrap {
    text-align: justify;
  }

  .section_banner_heading {
    color: #2c2f3c;
    font-size: 1.3em;
    font-weight: 600;
    margin: 0;
  }

  .section_banner_heading:after {
    content: "start";
    background-color: $mark-color;
    position: absolute;
    left: 10.1em;
  }

  .section_banner_text {
    font-family: $hind;
    font-size: 0.7em;
  }
}

.section_banner_button {
  @extend .header_button;
}

.footer {
  background-color: $footer-color;
  padding: 5em 5em 2em 5em;
  color: #bfc1ca;
  font-family: map-get($font, family);
}

.footer-wrap {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.footer_text {
  font-size: 0.7em;
  width: 20em;
  margin: auto;
  text-align: justify;
  line-height: 1.7;
  font-family: $hind;
}

.footer-cr {
  font-size: 0.7em;
}
